#!/bin/bash

set +x

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
#date=$(date +%Y%m%d)
date=20140103
package=flumotion
branch=master
name=flumotion


#pushd ${tmp}
git clone git@github.com:Flumotion/${package}.git
pushd ${package}
git checkout ${branch}
tag=$(git rev-list HEAD -n 1 | cut -c 1-7)
version=`grep 'VERSION=' < configure.ac | sed -e 's/.*VERSION=\([0-9\.\-]*\).*/\1/'`

echo $version
git archive --prefix="${name}-${version}/" --format=tar ${branch} > "$pwd"/${name}-${version}-${date}-${tag}.tar

git submodule update --init

pushd common
git archive  --prefix="${name}-${version}/common/" --format=tar ${branch} > "$pwd"/sb1.tar
popd

#pushd flumotion/extern
#svn co http://thomas.apestaart.org/moap/svn/trunk/moap/extern/command@509
#popd

popd

tar -Af ${name}-${version}-${date}-${tag}.tar sb1.tar
rm sb1.tar
bzip2 ${name}-${version}-${date}-${tag}.tar

